Bug 83649 - Right edge of the wide table pasted as RTF from Calc to Writer is unreacheable in Normal view
Summary: Right edge of the wide table pasted as RTF from Calc to Writer is unreacheabl...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2014-09-09 04:06 UTC by freeseek
Modified: 2019-07-10 02:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freeseek 2014-09-09 04:06:02 UTC
Problem description: 

Steps to reproduce:
1. Copy a large table from Libreoffice Calc with several columns
2. Paste the table into Libreoffice Writer using Ctrl+Shift+V and selecting Formatted Text
3. Select the last column and change the width to a small number

Current behavior:
Instead of changing the width of the last column, the width of the second to last column is changed to a random number. It is impossible to resize the table width as the right of the table is out of the window and cannot be selected with the mouse.

Expected behavior:
The table should not be pasted in such a way that the right edge of the table is unreacheable. This bug is exacerbated by the fact that trying to change the width of the last column fails. Both of these things should not happen.
Operating System: Ubuntu
Version: 4.2.4.2 release
Comment 1 Jean-Baptiste Faure 2014-09-14 11:43:29 UTC
If the copied table flows out of the page, move the cursor inside the table, right click -> Table -> tab Table -> ajust the width, for example at 100% or less or an absolute value. Now you can change the width of the last column.

This bug-tracker is not an helpdesk. You should ask for help on the users mailing-list or on asklibo:
mailto:users@global.libreoffice.org
http://ask.libreoffice.org

Closing as WorksForMe

Best regards. JBF
Comment 2 freeseek 2014-09-14 18:10:48 UTC
To make it short and reproduce-able, this issue happens all the time when you paste from LibreOffice Calc a table with nine or more columns into LibreOffice Writer using the "Formatted text [RTF]" option. There is no option to resize the whole table other than what "Jean-Baptiste Faure" suggested. This is very detrimental from a usability point of view, as there is now way to scroll to the right to "grab" the right edge of the table, even if you zoom out. This is not the default behavior on Microsoft Office. In Microsoft office the table width is set to the maximum width of the paper, which makes a lot more sense, as the user can then adjust it comfortably. So, no, this is a bug, and not a helpdesk request. I am grateful to "Jean-Baptiste Faure"'s explanation on how to deal with this issue, but there will be other users facing the same problem.
Comment 3 Jean-Baptiste Faure 2014-09-14 19:50:48 UTC
There is another workaround faster than adjusting column width with the mouse: instead of pasting as "Formatted text [RTF]", paste as "Unformatted text", then select the pasted text and go to the menu Table > Convert > Text to Table... > keep the default parameters and validate.
It works for me (the resulting table has the same width as the text area) even if there is so many columns that each pasted line is split on 2 lines.

Best regards. JBF
Comment 4 Joel Madero 2014-11-04 03:52:04 UTC Comment hidden (obsolete)
Comment 5 Robinson Tryon (qubit) 2014-12-22 03:44:53 UTC
(In reply to Jean-Baptiste Faure from comment #3)
> There is another workaround faster than adjusting column width with the
> mouse:

Hmmm. Sounds like the workaround is a 2-step process.

(In reply to freeseek from comment #2)
> To make it short and reproduce-able, this issue happens all the time when
> you paste from LibreOffice Calc a table with nine or more columns into
> LibreOffice Writer using the "Formatted text [RTF]" option.

Common problem; would be nice to have a 1-step workflow.

> This is not the default behavior on Microsoft Office.
> In Microsoft office the table width is set to the maximum width of the
> paper, which makes a lot more sense, as the user can then adjust it
> comfortably.

Sounds like a plausible enhancement request. Or perhaps there's something else we can do to improve the user experience? 

UX: Please enlighten us with your input here ;-)
Comment 6 Heiko Tietze 2016-08-08 10:36:53 UTC
(In reply to Robinson Tryon (qubit) from comment #5)
> UX: Please enlighten us with your input here ;-)

Use the default column size up to the page width (behavior today), then shrink columns (suggested change) but not below 0.5 cm (or a sensible minimum). 

Alternatively, we could think about having a variable column width so that pasted tables always fill the complete document width. But I believe that's unwanted by the majority.

Looks to me like an ordinary bug an no cool enhancement.
Comment 7 QA Administrators 2017-09-01 11:20:12 UTC Comment hidden (obsolete)
Comment 8 Timur 2018-07-09 16:07:50 UTC
Behavior is similar in 6.2+. 
But "Column width of last column cannot be modified" is a consequence, bug is "Right edge of the wide table pasted as RTF from Calc to Writer is unreacheable  in Normal view".
There are multiple workarounds. In addition what JBF wrote, we can use Web view. 

(In reply to freeseek from comment #2)
> In Microsoft office the table width is set to the maximum width of the
> paper, which makes a lot more sense, as the user can then adjust it
> comfortably. 
Not to my test. MSO 2013 behaves like LO, just pastes Excel table outside Word Print Layout, both for simple paste and RTF paste. Both can be seen in Web Layout. 

(In reply to Heiko Tietze from comment #6)
> Alternatively, we could think about having a variable column width so that
> pasted tables always fill the complete document width. But I believe that's
> unwanted by the majority.
Actually, simple paste (that pastes LO spreadsheet) behaves like that (so wide table is fully seen), unlike MSO. Maybe RTF should behave consistently. 
No sense to paste something outside. 
But not a terrible issue, due to workarounds.
Comment 9 QA Administrators 2019-07-10 02:53:25 UTC
Dear freeseek,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug